<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container">
    <h2>CAR FORM</h2>


    <form id="inputform01" class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="fname">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="fname" name="firstname" placeholder="Your name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="lname">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="lname" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="country">Car</label>
        </div>
        <div class="col-sm-3">
          <select id="car-select" name="country" class="form-control">
          </select>
        </div>
        <div class="col-sm-3">
          <label for="region">Car Type</label>
        </div>
        <div class="col-sm-3">
          <select id="cartype-select" disabled name="cartype" class="form-control">
          </select>
        </div>
      </div>
      <div class="row pull-right">
        <div class="col-sm-12">
          <input type="button" value="Send" class="btn btn-info" id="send-button">
        </div>
      </div>
    </form>
  </div>
  <script>
    //Get data country
    $.ajax({
      url: "http://localhost:8080/cars",
      type: "GET",
      success: function(pObjRes) {
        console.log(pObjRes);
        loadDataToCountrySelect(pObjRes);
      },
      error: function(pXhrObj) {
        console.log(pXhrObj);
      }
    });

    var gCarSelectElement = $("#car-select");

    function loadDataToCountrySelect(pCarList) {
      for (i = 0; i < pCarList.length; i++) {
        var bCarOption = $("<option/>");
        bCarOption.prop("value", pCarList[i].carCode);
        bCarOption.prop("text", pCarList[i].carName);
        gCarSelectElement.append(bCarOption);
      };
    }

    var gCarTypelectElement = $("#cartype-select");

    //callback function
    gCarTypelectElement.on("change", function () {
        gCarTypelectElement.html("");
      var bCarCode = $(this).val();

      getRegionsByCountryCode(bCarCode);
    });

    //find brandTypes array by brandId
    function getRegionsByCountryCode(pCarCode) {
      $.ajax({
        url: "http://localhost:8080/car_type?carCode=" + pCarCode,
        type: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataToRegionSelect(pObjRes);
        },
        error: function(pXhrObj) {
          console.log(pXhrObj);
        }
      });
    }

    function loadDataToRegionSelect(pCarTypeList) {
      if (pCarTypeList.length > 0) {
        gCarTypeSelectElement.prop("disabled", false);

        for (i = 0; i < pCarTypeList.length; i++) {
          var bCarTypeOption = $("<option/>");
          bCarTypeOption.prop("value", pCarTypeList[i].carCode);
          bCarTypeOption.prop("text", pCarTypeList[i].carName);
          gCarTypeSelectElement.append(bCarTypeOption);
        };
      } else {
        gCarTypeSelectElement.prop("disabled", "disabled");
      }
    }

  </script>
</body>

</html>